Generate a subscription center token
Generates a signed token and URL for a person's standalone subscription center page. The token is valid for 24 hours.
Use the returned url to link people to a hosted subscription center page where they can manage their subscription preferences outside of a message. This is useful when you want to provide a direct link to the subscription center—for example, in your app's account settings or in a custom email.
The customer_id path parameter is the person's identifier (e.g. an email address or customer ID) as it appears in Customer.io. The identifier must match an existing person in your workspace.
- Type: stringcustomer
_id requiredThe identifier for a person in your workspace—the same value you'd use as an
idoremailto identify a person in Customer.io.
- application/json
- application/json
curl https://api.customer.io/v1/subscription_center/person@example.com/token \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"token": "string",
"url": "https://track.customer.io/u/i/<your-token>/"
}Returns a signed token and a subscription center url for the person.